Closed Bug 955394 Opened 6 years ago Closed 6 years ago

Update to Mozilla 21

Categories

(Chat Core :: General, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: clokep)

References

(Blocks 1 open bug, )

Details

Attachments

(4 files)

*** Original post on bio 1956 at 2013-05-13 12:19:00 UTC ***

+++ This bug was initially created as a clone of Bug #955262 (bio 1829) +++
*** Original post on bio 1956 as attmnt 2448 at 2013-05-23 01:58:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354215 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
*** Original post on bio 1956 as attmnt 2449 at 2013-05-23 02:06:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354216 - Flags: review?(florian)
*** Original post on bio 1956 as attmnt 2450 at 2013-05-23 02:07:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354217 - Flags: review?(florian)
*** Original post on bio 1956 at 2013-05-23 02:09:30 UTC ***

I also had to apply the patch from bug 955395 (bio 1957) and ran into bug 955406 (bio 1969) (we're wondering if that's from the new MozillaBuild, maybe?).
Depends on: 955395
Comment on attachment 8354215 [details] [diff] [review]
Updated patches and client.py

*** Original change on bio 1956 attmnt 2448 at 2013-05-23 22:34:09 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354215 - Flags: review?(florian) → review+
Comment on attachment 8354216 [details] [diff] [review]
Port patches to configure.in & config from comm-release

*** Original change on bio 1956 attmnt 2449 at 2013-05-23 23:00:44 UTC ***

This touches a bunch of stuff related to Mac universal builds, and to l10n stuff, so... I hope this doesn't mean there'll be painful debugging coming soon ;).

># HG changeset patch
># User Patrick Cloke <clokep@gmail.com>
># Date 1352693961 -28800
># Node ID 80cf46680bf0c5a28cb44850f97beab4f9a60d28
># Parent  8b39ab9b8a91c19c543bb1964317e81dcfdd1454
>Bug 955394 (bio 1956) - Port |Bio 785675 - Port |Bio 748490 - Provide common location for testing modules| to fix multiple perma-oranges.|, r=fqueze.
>
>diff --git a/config/rules.mk b/config/rules.mk
>--- a/config/rules.mk
>+++ b/config/rules.mk
>@@ -92,32 +92,34 @@ testxpcsrcdir = $(MOZILLA_SRCDIR)/testin
> # See also $(MOZILLA_DIR)/testing/testsuite-targets.mk 'xpcshell-tests' target for global execution.
> xpcshell-tests:
> 	$(PYTHON) -u $(MOZILLA_DIR)/config/pythonpath.py \
> 	  -I$(MOZILLA_DIR)/build \
> 	  $(testxpcsrcdir)/runxpcshelltests.py \
> 	  --symbols-path=$(DIST)/crashreporter-symbols \
> 	  --build-info-json=$(MOZDEPTH)/mozinfo.json \
> 	  --tests-root-dir=$(testxpcobjdir) \
>+		--testing-modules-dir=$(MOZDEPTH)/_tests/modules \
> 	  --xunit-file=$(testxpcobjdir)/$(relativesrcdir)/results.xml \
> 	  --xunit-suite-name=xpcshell \
> 	  $(EXTRA_TEST_ARGS) \
> 	  $(DIST)/bin/xpcshell \
> 	  $(foreach dir,$(XPCSHELL_TESTS),$(testxpcobjdir)/$(relativesrcdir)/$(dir))
> 
> # Execute a single test, specified in $(SOLO_FILE), but don't automatically
> # start the test. Instead, present the xpcshell prompt so the user can
> # attach a debugger and then start the test.
> check-interactive:
> 	$(PYTHON) -u $(MOZILLA_DIR)/config/pythonpath.py \
> 	  -I$(MOZILLA_DIR)/build \
> 	  $(testxpcsrcdir)/runxpcshelltests.py \
> 	  --symbols-path=$(DIST)/crashreporter-symbols \
> 	  --build-info-json=$(MOZDEPTH)/mozinfo.json \
> 	  --test-path=$(SOLO_FILE) \
>+		--testing-modules-dir=$(MOZDEPTH)/_tests/modules \
> 	  --profile-name=$(MOZ_APP_NAME) \
> 	  --interactive \
> 	  $(DIST)/bin/xpcshell \
> 	  $(foreach dir,$(XPCSHELL_TESTS),$(testxpcobjdir)/$(relativesrcdir)/$(dir))

It seems you got 2 spaces replaced by one tab in these 2 places.

rs=fqueze with this fixed.
Attachment #8354216 - Flags: review?(florian) → review+
Comment on attachment 8354217 [details] [diff] [review]
Sync configure.in & config/ with comm-release

*** Original change on bio 1956 attmnt 2450 at 2013-05-23 23:18:34 UTC ***

This patch undoes the encoding errors mentioned in my previous comment. If you want I can edit the two attachments locally before applying them to avoid this.

Potential issue on Linux with turning GIO on by default. I don't remember what the issue was exactly, but I remember we wasted time on this in the past.
After checking, it turns out we added --disable-gio in our linux buildbot mozconfigs, so this should be alright.

The configure changes add an HAVE_SSIZE_T define. I wondered if some Instantbird-specific checks we added in the past for libpurple could be removed, but after checking, the answer is 'no'.

rs=me, assuming this builds on all our supported plaforms.
Attachment #8354217 - Flags: review?(florian) → review+
*** Original post on bio 1956 at 2013-05-23 23:26:30 UTC ***

(In reply to comment #6)
> Comment on attachment 8354217 [details] [diff] [review] (bio-attmnt 2450) [details]
> Sync configure.in & config/ with comm-release
> 
> This patch undoes the encoding errors mentioned in my previous comment. If you
> want I can edit the two attachments locally before applying them to avoid this.
Sorry about that. :( It'd be easier for me if you could fix them. But of course I can do it too.
*** Original post on bio 1956 at 2013-05-23 23:40:09 UTC ***

(In reply to comment #7)
> (In reply to comment #6)
> > Comment on attachment 8354217 [details] [diff] [review] (bio-attmnt 2450) [details]
> > Sync configure.in & config/ with comm-release
> > 
> > This patch undoes the encoding errors mentioned in my previous comment.

I meant 'indenting' of course, not 'encoding'.

> Sorry about that. :( It'd be easier for me if you could fix them. But of course
> I can do it too.

Done locally already.
Blocks: 955409
*** Original post on bio 1956 as attmnt 2469 at 2013-05-30 22:24:00 UTC ***

It turns out adding the -std=gnu++0x flag on the command line for C++ files makes the build error I was encountering disappear.

Updating aclocal.m4 fixed the compiler command flags generated by our configure.

Before that, I attempted updating build/macosx/universal/mozconfig.common but I now belive it was a red herring.
Attachment #8354236 - Flags: review?
*** Original post on bio 1956 at 2013-05-30 22:49:09 UTC ***

Comment on attachment 8354236 [details] [diff] [review] (bio-attmnt 2469)
Potential fix for Mac build

Note for the reviewer: The autoconf stuff for glib 1.2 detection that this patch removes was dead code. IIRC glib 1.2 was a dependency of libidl (that's been reimplemented in python a while ago). We never cared about it for libpurple. Libpurple depends on glib version at least 2.0; and we don't care if a correct version is available on the build machine or not, as on Mac/Windows we want to build it unconditionnaly so that it doesn't become a runtime dependency.
*** Original post on bio 1956 at 2013-05-30 23:10:03 UTC ***

After building for 46 minutes, my Mac universal debug build is finished and works correctly.
Comment on attachment 8354236 [details] [diff] [review]
Potential fix for Mac build

*** Original change on bio 1956 attmnt 2469 at 2013-05-31 00:35:24 UTC ***

rs=me, I wonder if this will fix the issue I had on Linux too.
Attachment #8354236 - Flags: review? → review+
*** Original post on bio 1956 at 2013-06-01 11:19:12 UTC ***

Update packaging is busted with a python syntax error in Mozilla 21+, I've pushed http://hg.instantbird.org/instantbird/rev/d00d63c42ad7 to fix the bustage, and filed https://bugzilla.mozilla.org/show_bug.cgi?id=878419 to get it fixed upstream.
*** Original post on bio 1956 at 2013-06-01 18:12:09 UTC ***

Fix Windows bustage in addon-sdk/ (bio 842341): http://hg.instantbird.org/instantbird/rev/690dcce0a25c
Depends on: 955426
Blocks: 955433
You need to log in before you can comment on or make changes to this bug.